Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class GetAllTaskDefinitionsCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.model.TaskDef>>
          org.jbpm.services.task.commands.GetAllTaskDefinitionsCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<List<org.kie.internal.task.api.model.TaskDef>>, Command<List<org.kie.internal.task.api.model.TaskDef>>

    public class GetAllTaskDefinitionsCommand

extends TaskCommand<List<org.kie.internal.task.api.model.TaskDef>>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`GetAllTaskDefinitionsCommand()`
`GetAllTaskDefinitionsCommand(String filter)`

Method Summary
`List<org.kie.internal.task.api.model.TaskDef>` | `execute(org.kie.internal.command.Context cntxt)`
`String` | `getFilter()`
`void` | `setFilter(String filter)`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetAllTaskDefinitionsCommand

    public GetAllTaskDefinitionsCommand()

### GetAllTaskDefinitionsCommand

    public GetAllTaskDefinitionsCommand(String filter)

Method Detail

### getFilter

    public String getFilter()

### setFilter

    public void setFilter(String filter)

### execute

    public List<org.kie.internal.task.api.model.TaskDef> execute(org.kie.internal.command.Context cntxt)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.